<template>
    <div id=app>
      <div>

        Configuration du Nonogramme
        <br/>
        <label>Nombre de colonnes</label>
        <input v-model.number="numberCells" type="number" />
        <label>Nombre de lignes</label>
        <input v-model.number="numberRows" type="number" />
        <button @click="updatePicrossEditor">Créer le nonogramme</button>
      </div>
        <PicrossEditor :numberRows= "numberRowsPicross" :numberCells= "numberCellsPicross"/>

      <label>Nom du Nonogramme</label>
      <input v-model= "name" type="text" />
      <button @click="exportNonogram">Exporter le nonogramme</button>
      <pre>{{ nonogramExported }}</pre>
    </div>
</template>
<script>
import PicrossEditor from '@/components/PicrossEditor.vue'

export default {
  name: 'Creation',
  components: {
    PicrossEditor
  },
  data: function () {
    return {
      numberRows: 6,
      numberCells: 6,
      numberRowsPicross: 6,
      numberCellsPicross: 6,

      name: '',
      nonogramExported: null,
      picrosslist: null
    }
  },

  methods: {
    updatePicrossEditor () {
      this.numberRowsPicross = this.numberRows
      this.numberCellsPicross = this.numberCells
    },
    exportNonogram () {
      this.nonogramExported = {
        name: this.name,
        ...this.nonogramData
      }
    }
  }
}
</script>

<style>
      table {
        border: 1px solid gray;
        border-collapse: collapse;
      }
      tr, td {
        height: 20px;
      }
      td {
        width: 20px;
        border: 1px solid gray;
      }
      td:hover {
        background-color: red;
      }
      .selected {
        background-color: blue;
      }
</style>
